<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::simulator::Simulator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1simulator_1_1_simulator.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1simulator_1_1_simulator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::simulator::Simulator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::simulator::Simulator:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1simulator_1_1_simulator.png" usemap="#framework::simulator::Simulator_map" alt=""/>
  <map id="framework::simulator::Simulator_map" name="framework::simulator::Simulator_map">
<area href="classframework_1_1core_1_1_framework_manager.html" title="Main class of the Framework library. " alt="framework::core::FrameworkManager" shape="rect" coords="0,56,223,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,223,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a65f4b489ea0ed60d0887ea03156c6f97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a65f4b489ea0ed60d0887ea03156c6f97"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Simulator</b> (std::string name, int optitrack_mstime=10, float yaw_deg=30)</td></tr>
<tr class="separator:a65f4b489ea0ed60d0887ea03156c6f97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5612c55eb709b4d6ac6dcb3890caa829"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5612c55eb709b4d6ac6dcb3890caa829"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>RunSimu</b> (void)</td></tr>
<tr class="separator:a5612c55eb709b4d6ac6dcb3890caa829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af72f64f4658708c6808994dee9e22186"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af72f64f4658708c6808994dee9e22186"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Yaw</b> (void) const </td></tr>
<tr class="separator:af72f64f4658708c6808994dee9e22186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8435a4f7d780f86558a439053e1a458a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8435a4f7d780f86558a439053e1a458a"></a>
<a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ToVRPNReference</b> (<a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> quat_in)</td></tr>
<tr class="separator:a8435a4f7d780f86558a439053e1a458a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe38559913884e2fcebd0161bc52655e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe38559913884e2fcebd0161bc52655e"></a>
<a class="el" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><b>ToVRPNReference</b> (<a class="el" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> point_in)</td></tr>
<tr class="separator:afe38559913884e2fcebd0161bc52655e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_framework_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_framework_manager')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></td></tr>
<tr class="memitem:ada7db9f85fae36f27d6b6384971c09c5 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ada7db9f85fae36f27d6b6384971c09c5">FrameworkManager</a> (std::string name)</td></tr>
<tr class="memdesc:ada7db9f85fae36f27d6b6384971c09c5 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ada7db9f85fae36f27d6b6384971c09c5">More...</a><br /></td></tr>
<tr class="separator:ada7db9f85fae36f27d6b6384971c09c5 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa450d1de1dfd800a375793f516778dc0 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#aa450d1de1dfd800a375793f516778dc0">~FrameworkManager</a> ()</td></tr>
<tr class="memdesc:aa450d1de1dfd800a375793f516778dc0 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa450d1de1dfd800a375793f516778dc0">More...</a><br /></td></tr>
<tr class="separator:aa450d1de1dfd800a375793f516778dc0 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1da240f00558ad89896b213a9ac9fef inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ad1da240f00558ad89896b213a9ac9fef">SetupConnection</a> (std::string address, uint16_t port, size_t rcv_buf_size=10000)</td></tr>
<tr class="memdesc:ad1da240f00558ad89896b213a9ac9fef inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the connection with ground station.  <a href="#ad1da240f00558ad89896b213a9ac9fef">More...</a><br /></td></tr>
<tr class="separator:ad1da240f00558ad89896b213a9ac9fef inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab50a61d52acbd0577e1929ffe56fe1ea inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ab50a61d52acbd0577e1929ffe56fe1ea">SetupUserInterface</a> (std::string xml_file)</td></tr>
<tr class="memdesc:ab50a61d52acbd0577e1929ffe56fe1ea inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the user interface.  <a href="#ab50a61d52acbd0577e1929ffe56fe1ea">More...</a><br /></td></tr>
<tr class="separator:ab50a61d52acbd0577e1929ffe56fe1ea inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcdd863f5fe4dc6f63e2f2c6452024d7 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#abcdd863f5fe4dc6f63e2f2c6452024d7">GetTabWidget</a> (void) const </td></tr>
<tr class="memdesc:abcdd863f5fe4dc6f63e2f2c6452024d7 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get TabWidget.  <a href="#abcdd863f5fe4dc6f63e2f2c6452024d7">More...</a><br /></td></tr>
<tr class="separator:abcdd863f5fe4dc6f63e2f2c6452024d7 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1193a30091d4ea54cdb9629ff05aac3e inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a1193a30091d4ea54cdb9629ff05aac3e">SetupLogger</a> (std::string log_path)</td></tr>
<tr class="memdesc:a1193a30091d4ea54cdb9629ff05aac3e inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logger setup.  <a href="#a1193a30091d4ea54cdb9629ff05aac3e">More...</a><br /></td></tr>
<tr class="separator:a1193a30091d4ea54cdb9629ff05aac3e inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6056cf9ac936155c49613c672ade55ed inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a6056cf9ac936155c49613c672ade55ed">AddDeviceToLog</a> (<a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a6056cf9ac936155c49613c672ade55ed inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add log element.  <a href="#a6056cf9ac936155c49613c672ade55ed">More...</a><br /></td></tr>
<tr class="separator:a6056cf9ac936155c49613c672ade55ed inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9ace8e2d4239e880d40a0dbf0730cc1 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ac9ace8e2d4239e880d40a0dbf0730cc1">StartLog</a> (void)</td></tr>
<tr class="memdesc:ac9ace8e2d4239e880d40a0dbf0730cc1 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start logging.  <a href="#ac9ace8e2d4239e880d40a0dbf0730cc1">More...</a><br /></td></tr>
<tr class="separator:ac9ace8e2d4239e880d40a0dbf0730cc1 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20b5c34e89f2254822c630f231ac8547 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a20b5c34e89f2254822c630f231ac8547">StopLog</a> (void)</td></tr>
<tr class="memdesc:a20b5c34e89f2254822c630f231ac8547 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop logging.  <a href="#a20b5c34e89f2254822c630f231ac8547">More...</a><br /></td></tr>
<tr class="separator:a20b5c34e89f2254822c630f231ac8547 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2877c46562eb2f44d45806f24883f463 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a2877c46562eb2f44d45806f24883f463">IsLogging</a> (void) const </td></tr>
<tr class="memdesc:a2877c46562eb2f44d45806f24883f463 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is logging?  <a href="#a2877c46562eb2f44d45806f24883f463">More...</a><br /></td></tr>
<tr class="separator:a2877c46562eb2f44d45806f24883f463 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addb0842421d006e0768781c056ed05be inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#addb0842421d006e0768781c056ed05be">SetupDSP</a> (std::string file, int globalTimeoutMs=-1)</td></tr>
<tr class="memdesc:addb0842421d006e0768781c056ed05be inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSP settup.  <a href="#addb0842421d006e0768781c056ed05be">More...</a><br /></td></tr>
<tr class="separator:addb0842421d006e0768781c056ed05be inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5009e267fa360f05d26530375a05cd36 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a5009e267fa360f05d26530375a05cd36">UpdateSendData</a> (const <a class="el" href="classframework_1_1gui_1_1_send_data.html">gui::SendData</a> *obj)</td></tr>
<tr class="memdesc:a5009e267fa360f05d26530375a05cd36 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify that SendData's period has changed.  <a href="#a5009e267fa360f05d26530375a05cd36">More...</a><br /></td></tr>
<tr class="separator:a5009e267fa360f05d26530375a05cd36 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2848deb4f447f069240886a053335de8 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a2848deb4f447f069240886a053335de8">BlockCom</a> (void)</td></tr>
<tr class="memdesc:a2848deb4f447f069240886a053335de8 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Block communication.  <a href="#a2848deb4f447f069240886a053335de8">More...</a><br /></td></tr>
<tr class="separator:a2848deb4f447f069240886a053335de8 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca78bacec4bcddb9201df47abe1e14e9 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#aca78bacec4bcddb9201df47abe1e14e9">UnBlockCom</a> (void)</td></tr>
<tr class="memdesc:aca78bacec4bcddb9201df47abe1e14e9 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unblock communication.  <a href="#aca78bacec4bcddb9201df47abe1e14e9">More...</a><br /></td></tr>
<tr class="separator:aca78bacec4bcddb9201df47abe1e14e9 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2996266061e7f3062347ff71e605617 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#ad2996266061e7f3062347ff71e605617">ConnectionLost</a> (void) const </td></tr>
<tr class="memdesc:ad2996266061e7f3062347ff71e605617 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is connection lost?  <a href="#ad2996266061e7f3062347ff71e605617">More...</a><br /></td></tr>
<tr class="separator:ad2996266061e7f3062347ff71e605617 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd9d7283180122a3254f34e052591fcc inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#acd9d7283180122a3254f34e052591fcc">DisableErrorsDisplay</a> (bool value)</td></tr>
<tr class="memdesc:acd9d7283180122a3254f34e052591fcc inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable errors display.  <a href="#acd9d7283180122a3254f34e052591fcc">More...</a><br /></td></tr>
<tr class="separator:acd9d7283180122a3254f34e052591fcc inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d58cacaea8f578ecd99ccfa97978f80 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_framework_manager.html#a3d58cacaea8f578ecd99ccfa97978f80">IsDisplayingErrors</a> (void) const </td></tr>
<tr class="memdesc:a3d58cacaea8f578ecd99ccfa97978f80 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is displaying errors?  <a href="#a3d58cacaea8f578ecd99ccfa97978f80">More...</a><br /></td></tr>
<tr class="separator:a3d58cacaea8f578ecd99ccfa97978f80 inherit pub_methods_classframework_1_1core_1_1_framework_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1simulator.html">simulator</a></li><li class="navelem"><a class="el" href="classframework_1_1simulator_1_1_simulator.html">Simulator</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
